const SERVER_ADDRESS : &str = "127.0.0.1:8888";

#[async_std::main]
async fn main() -> tide::Result<()>
{
    println!("http://{}/", SERVER_ADDRESS);

    let mut server : tide::Server<()> = tide::new();

    server.at("/").get
    (
        |_| async
        {
            return Ok("Hello, World!");
        }
    );

    server.listen(SERVER_ADDRESS).await?;

    return Ok(());
}